# Copyright (c) 2018 Dave Love, University of Manchester
# MIT licence (Fedora policy)

#%%global commit ac338e460a30db087aaef762b0d806f5d159cf0d
#%%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		libbsctools
Version:	1.0.6
Release:	1%{?dist}
Summary:	Support library for BSC tools
License:	LGPLv2
URL:		https://github.com/bsc-performance-tools/libbsctools
# The .../archvive/v%version/%name-%version.tar.gz form is 404
Source0:	https://github.com/bsc-performance-tools/libbsctools/archive/%version.tar.gz#/%name-%version.tar.gz
BuildRequires:	gcc-c++ automake libtool boost%{?el6:148}-devel


%description
This is a support library for the BSC performance tools, specifically folding.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
./bootstrap


%build
%configure --disable-static %{?el6:CPPFLAGS=-I%_includedir/boost148 LDFLAGS=-L%_libdir/boost148}
%make_build


%install
%make_install
find %buildroot -name '*.la' -exec rm -f {} ';'
rm -rf %buildroot%_datadir/example

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%_libdir/*.so.*

%files devel
%doc prvparser/example
%_bindir/prvparser-config
%_includedir/*
%_libdir/*.so


%changelog
* Fri Dec 20 2019 Dave Love <loveshack@fedoraproject.org> - 1.0.6-1
- New version

* Wed Jul 31 2019 Dave Love <loveshack@fedoraproject.org> - 1.0.5-2
- Remove exclusivearch

* Mon Jun  4 2018 Dave Love <loveshack@fedoraproject.org> - 1.0.5-1
- New versioning (no significant changes)

* Thu Apr 26 2018  <loveshack@fedoraproject.org> - 0-1.git5fdae0f2
- Initial packaging
